Welcome to the Gamebase 64 forums.                 An attempt to document ALL Commodore 64 gameware before it's too late!

Why isn't VICE 3.3 supported in the new GB?

Are you having problems setting up GB64 on your machine? Ask your questions in here!

Moderator: Jimbo

User avatar
.mad.
Respected Member
Respected Member
Location: Lancashire
Posts: 2145
Joined: Sun Jun 19, 2005 3:30 pm

Re: Why isn't VICE 3.3 supported in the new GB?

Wed May 11, 2022 11:53 am

KrazyKanuck wrote:
Mon May 09, 2022 11:00 pm
Just pointing out that since updating to GB18 gamebase does not recognize my second controller, despite both being set to YES in the script I'm using VICE 3.6.1 BTW
I think bug in VICE.
emu crashes at random intervals, when i have a joypad attached.
*not script related. :wink:

to confirm problem try running this batch file.
x64sc.exe -default -joydev1 4 -joydev2 5 -controlport1device 1 -controlport2device 2
if that fails then it's a vice bug or broken joypad.

can you setup two joysticks manually from GUI?.
if not, please also report the bug to the vice team.
KrazyKanuck
Cool Member
Cool Member
Location: Marystown, Newfoundland and Labrador, Canada
Posts: 204
Joined: Mon Nov 20, 2017 2:53 am

Re: Why isn't VICE 3.3 supported in the new GB?

Sat May 28, 2022 1:02 am

.mad. wrote:
Wed May 11, 2022 11:53 am
KrazyKanuck wrote:
Mon May 09, 2022 11:00 pm
Just pointing out that since updating to GB18 gamebase does not recognize my second controller, despite both being set to YES in the script I'm using VICE 3.6.1 BTW
I think bug in VICE.
emu crashes at random intervals, when i have a joypad attached.
*not script related. :wink:

to confirm problem try running this batch file.
x64sc.exe -default -joydev1 4 -joydev2 5 -controlport1device 1 -controlport2device 2
if that fails then it's a vice bug or broken joypad.

can you setup two joysticks manually from GUI?.
if not, please also report the bug to the vice team.
Yes I can, I can assign both sticks directly in VICE manually. Also, both work with Launchbox and Coin-Ops, so it cannot be a controller issue
KrazyKanuck
Cool Member
Cool Member
Location: Marystown, Newfoundland and Labrador, Canada
Posts: 204
Joined: Mon Nov 20, 2017 2:53 am

Re: Why isn't VICE 3.3 supported in the new GB?

Sun Jun 19, 2022 8:02 am

It's actually doing the opposite now, and detecting the older controller, but not the newer one

Return to “GB64 Help!”

Who is online

Users browsing this forum: No registered users and 6 guests